#!/usr/bin/env ruby
require_relative 'tello.rb'

t = Tello.new

Signal.trap(:INT){
  STDERR.puts "緊急着陸します。"
  t.send_command("land")
  sleep 3
  exit 1
}

t.send_command("command")
#### ここから
print "Enterで離陸:"; gets
t.send_command("takeoff")
sleep(1)
t.send_command("ccw 45")
sleep(1)
t.send_command("forward 150")

sleep(1)
t.send_command("ccw 45")
sleep(1)
t.send_command("forward 150")





#### ここまでの間に命令を入れてゴールにたどり着けるようにしよう!!
t.send_command("land")
